#!/bin/bash

# ioc-cave.sh
# starts EPICS IOC in background using procServ tool
#    by defining user specific variables
#    and 
#    then calling/sourcing ${startBackgroundEpicsIocScript}
#    which implements those settings 
#
#  Author: P.Zumbruch@gsi.de 12/01/2010
#  Last modification: 23/02/2010

# uncomment to debug
#set -xv

scriptname=ioc-cave.sh
startBackgroundEpicsIocScriptName=startBackgroundEpicsIoc.sh
useUserDefinedVariables=yes

#specific predefines
userDefines()
{
	userProcServTelnetPort=4813
	#userProcServTelnetLogPort=4814
	userIOC=ioc-cave-$(hostname);
	userWorkingDir=~scs/apps/hades/iocBoot/ioccave 
	userCommandExecutable="../../bin/linux-x86/hades";
	userCommandArgument="st.cmd";

	userProcServExecutable=$(which procServ)
	userProcServDefaultExecutable=/usr/local/bin/procServ
	userLibraryPathAdd=/home/scs/apps/hades/hadesApp/src #several paths allowed, separated by colon ':'

    [ 0 -ge "${userProcServTelnetLogPort}" ] && unset userProcServTelnetLogPort  
	userCommand="${userCommandExecutable} ${userCommandArgument}";
	userProcServLoggingDir=${userWorkingDir}
	userProcServExecutable=${userProcServExecutable:-${userProcServDefaultExecutable}}
}

#look for startBackgroundEpicsIocScriptName
startBackgroundEpicsIocScript=$(which $startBackgroundEpicsIocScriptName)
startBackgroundEpicsIocScript=${startBackgroundEpicsIocScript:-./${startBackgroundEpicsIocScriptName}}

#start script if available, else report ERROR and exit
if [ -f "${startBackgroundEpicsIocScript}" ]
then
	. ${startBackgroundEpicsIocScript}
else
	echo "$scriptname: ERROR could not find main script file \`$startBackgroundEpicsIocScriptName'"
	exit -1	
fi
